# TIFFProcFunctions

## Synopsis

    #include <tiffio.h>

TIFFCloseProc TIFFGetCloseProc(TIFF *tif)

TIFFMapFileProc TIFFGetMapFileProc(TIFF *tif)

TIFFReadWriteProc TIFFGetReadProc(TIFF *tif)

TIFFSeekProc TIFFGetSeekProc(TIFF *tif)

TIFFSizeProc TIFFGetSizeProc(TIFF *tif)

TIFFUnmapFileProc TIFFGetUnmapFileProc(TIFF *tif)

TIFFReadWriteProc TIFFGetWriteProc(TIFF *tif)

## Description

The following routines return ?????? an open TIFF file.

`TIFFGetCloseProc()` returns a pointer to file close method.

`TIFFGetMapFileProc()` returns a pointer to memory mapping method.

`TIFFGetReadProc()` returns a pointer to file read method.

`TIFFGetSeekProc()` returns a pointer to file seek method.

`TIFFGetSizeProc()` returns a pointer to file size requesting method.

`TIFFGetUnmapFileProc()` returns a pointer to memory unmapping method.

`TIFFGetWriteProc()` returns a pointer to file write method.

## Diagnostics

None.

## See also

libtiff (3tiff), TIFFOpen (3tiff)